> ## Documentation Index
> Fetch the complete documentation index at: https://developers.kit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a post



## OpenAPI

````yaml /api-reference/v4.json get /v4/posts/{id}
openapi: 3.0.3
info:
  title: Kit API
  version: '4.0'
servers:
  - url: https://api.kit.com
security: []
paths:
  /v4/posts/{id}:
    get:
      tags:
        - Posts
      summary: Get a post
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
          example: 29
      responses:
        '200':
          description: Returns the post details
          content:
            application/json:
              schema:
                type: object
                properties:
                  post:
                    type: object
                    properties:
                      id:
                        type: integer
                      publication_id:
                        type: integer
                        description: >-
                          Identifier of the underlying publication. Posts that
                          were also sent as broadcasts share the same
                          `publication_id` — use it to match a post to its
                          broadcast via `GET /v4/broadcasts`.
                      created_at:
                        type: string
                      title:
                        type: string
                      slug:
                        type: string
                      description:
                        nullable: true
                      meta_description:
                        nullable: true
                      status:
                        type: string
                      published_at:
                        type: string
                      sent_at:
                        nullable: true
                      thumbnail_alt:
                        nullable: true
                      thumbnail_url:
                        nullable: true
                      is_paid:
                        type: boolean
                      public_url:
                        type: string
                      content:
                        type: string
                    required:
                      - id
                      - publication_id
                      - created_at
                      - title
                      - slug
                      - description
                      - meta_description
                      - status
                      - published_at
                      - sent_at
                      - thumbnail_alt
                      - thumbnail_url
                      - is_paid
                      - public_url
                      - content
                required:
                  - post
              example:
                post:
                  id: 25
                  publication_id: 128
                  created_at: '2026-05-08T14:39:44Z'
                  title: My Newsletter Post
                  slug: my-newsletter-post
                  description: null
                  meta_description: null
                  status: published
                  published_at: '2026-05-07T14:39:44Z'
                  sent_at: null
                  thumbnail_alt: null
                  thumbnail_url: null
                  is_paid: false
                  public_url: https://asdf.kit.com/posts/my-newsletter-post
                  content: >
                    <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0
                    Transitional//EN"
                    "http://www.w3.org/TR/REC-html40/loose.dtd">

                    <!-- -->
        '404':
          description: Returns a 404 when the provided id does not exist
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: string
                required:
                  - errors
              example:
                errors:
                  - Not Found
      security:
        - API Key: []
        - OAuth2: []
components:
  securitySchemes:
    API Key:
      description: Authenticate API requests via an API Key
      type: apiKey
      in: header
      name: X-Kit-Api-Key
    OAuth2:
      description: Authenticate API requests via an OAuth token
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://api.kit.com/v4/oauth/authorize
          tokenUrl: https://api.kit.com/v4/oauth/token
          refreshUrl: https://api.kit.com/v4/oauth/token
          scopes:
            read: Read access to Kit API v4
            write: Write access to Kit API v4

````